using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Managing.Infrastructure.Databases.Migrations
{
    /// <inheritdoc />
    public partial class AddBotRuntimeTracking : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<long>(
                name: "AccumulatedRunTimeSeconds",
                table: "Bots",
                type: "bigint",
                nullable: false,
                defaultValue: 0L);

            migrationBuilder.AddColumn<DateTime>(
                name: "LastStartTime",
                table: "Bots",
                type: "timestamp with time zone",
                nullable: true);

            migrationBuilder.AddColumn<DateTime>(
                name: "LastStopTime",
                table: "Bots",
                type: "timestamp with time zone",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "AccumulatedRunTimeSeconds",
                table: "Bots");

            migrationBuilder.DropColumn(
                name: "LastStartTime",
                table: "Bots");

            migrationBuilder.DropColumn(
                name: "LastStopTime",
                table: "Bots");
        }
    }
}
